System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.DictionaryBase

The class represents a collection containing all the instance data for a counter. This collection is contained in the when using the method.

Provides a strongly typed collection of objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Obsolete("Use InstanceDataCollectionCollection indexer instead.")
  To be added

  Initializes a new instance of the class, using the specified performance counter (which defines a performance instance).

  The name of the counter, which often describes the quantity that is being counted.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter is case-insensitive.

  Determines whether a performance instance with a specified name (identified by one of the indexed objects) exists in the collection.

  true if the instance exists in the collection; otherwise, false.

  The name of the instance to find in this collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the items in the collection to the specified one-dimensional array at the specified index.

  The one-dimensional that is the destination of the values copied from the collection. The zero-based index value at which to add the new instances.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the name of the performance counter whose instance data you want to get.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Diagnostics.InstanceData `` To be added. To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection'

  Each software component creates keys for its objects and counters when it is installed and writes counter data while it is executing. You can access this data as you would access any other registry data. However, although you use the registry to collect performance data, the data is not stored in the registry database. Instead, the system collects the data from the appropriate system object managers.

  Gets the object and counter registry keys for the objects associated with this instance data.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection' To be added

  Gets the raw counter values that comprise the instance data for the counter.